#ifndef __set2_runner__
#define __set2_runner__

#include "src/common.h"


void pkcs7_test();
void cbc_decrypt_test();
void cbc_enc_dec_test();
void ecb_encrypt_decrypt_single_block();
void encode_decode_openssl();
void encode_oracle_test();
void encrypt_padding_pkcs7();

struct OpenSSL
{
    static Result_t Cbc(CryptoAttribs_t* i_attribs,
                        const Key_t* const i_key);
};

struct SET2
{
    static void run()
    {
        encode_oracle_test();
        ecb_encrypt_decrypt_single_block();
        pkcs7_test();
        encode_decode_openssl();
        cbc_decrypt_test();
        cbc_enc_dec_test();
        encrypt_padding_pkcs7();
    }
};


#endif// __set2_runner__
