#ifndef __enc_modes__
#define __enc_modes__

#include "common.h"

Result_t crypt( CryptoAttribs_t* attribs, const Key_t* const key );

Result_t cbc_encrypt( CryptoAttribs_t* attribs, const Key_t* const key );
Result_t cbc_decrypt( CryptoAttribs_t* attribs, const Key_t* const key );

Result_t ecb_encrypt( CryptoAttribs_t* attribs, const Key_t* const key );
Result_t ecb_decrypt( CryptoAttribs_t* attribs, const Key_t* const key );

#endif /* __enc_modes__ */